#ifndef _DHOSTM_H
#define _DHOSTM_H


#include <dnpap.h>
#include <snmp.h>


#define HOST_SZEADDR    6


BOOLEAN DpapHostMInit(VOID);

WORD DnpapHostControlIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlDataSource(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlTableSize(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlLastDeleteTime(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlAcceptType(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlMatches(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlIATNrBuckets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlIATInterval(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlISTNrBuckets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlISTInterval(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlOwner(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostControlStatus(SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapHostAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostInPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostOutPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostIATPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostISTPkts(SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapHostTimeAddress(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeCreationOrder(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeIndex(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutOctets(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutErrors(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutBroadcastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutMulticastPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutTCPPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutOtherPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeInPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeOutPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeIATPkts(SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapHostTimeISTPkts(SNMP_OBJECT *Obj, WORD IdLen);


#endif
